# WOK
TKWOK
MS

# MS_MemberMet Class Reference

`#include <MS_MemberMet.hxx>`

Inheritance diagram for MS_MemberMet:

[legend]

## Public Member Functions

Standard_EXPORT void | Class (const Handle(TCollection_HAsciiString)&aClass)
Standard_EXPORT void | Class (const Handle(TCollection_HAsciiString)&aClass, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT Handle_TCollection_HAsciiString | Class () const
virtual Standard_EXPORT void | CreateFullName ()
Standard_EXPORT void | Protected (const Standard_Boolean aProtected)
Standard_EXPORT Standard_Boolean | IsProtected () const
virtual Standard_EXPORT void | Raises (const Handle(TCollection_HAsciiString)&aExcept)
Standard_EXPORT void | Raises (const Handle(TCollection_HAsciiString)&aExcept, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | MS_MemberMet (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aClass)

## Private Attributes

Handle_TCollection_HAsciiString | myClass
Standard_Boolean | myProtected

## Constructor & Destructor Documentation

Standard_EXPORT MS_MemberMet::MS_MemberMet | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aClass
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString MS_MemberMet::Class | ( |  | ) | const

Standard_EXPORT void MS_MemberMet::Class | ( | const Handle(TCollection_HAsciiString)& | aClass,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

Standard_EXPORT void MS_MemberMet::Class | ( | const Handle(TCollection_HAsciiString)& | aClass | ) |

virtual Standard_EXPORT void MS_MemberMet::CreateFullName | ( |  | ) | `[virtual]`

| Reimplemented from MS_Method.

Standard_EXPORT const MS_MemberMet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Method. Reimplemented in MS_ClassMet, MS_Construc, and MS_InstMet.

Standard_EXPORT Standard_Boolean MS_MemberMet::IsProtected | ( |  | ) | const

Standard_EXPORT void MS_MemberMet::Protected | ( | const Standard_Boolean | aProtected | ) |

Standard_EXPORT void MS_MemberMet::Raises | ( | const Handle(TCollection_HAsciiString)& | aExcept,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

virtual Standard_EXPORT void MS_MemberMet::Raises | ( | const Handle(TCollection_HAsciiString)& | aExcept | ) | `[virtual]`

| Reimplemented from MS_Method.

## Field Documentation

Handle_TCollection_HAsciiString MS_MemberMet::myClass `[private]`

Standard_Boolean MS_MemberMet::myProtected `[private]`

The documentation for this class was generated from the following file:

- MS_MemberMet.hxx